import { AlertService } from './../../../../widgets/entry-components/alert/services/alert.service';
import { PrevRouteService } from './../../../../routing/services/prev-route.service';
import { ChBaseComponent } from './../ch-base/ch-base.component';
import { OnInit, EventEmitter } from '@angular/core';
import { Router } from '@angular/router';
import { Storage } from '@ionic/storage';
import { FormGroup } from '@angular/forms';
export declare class ChEmailComponent extends ChBaseComponent implements OnInit {
    private alertService;
    callSave: EventEmitter<string>;
    constructor(prevRouteService: PrevRouteService, alertService: AlertService, router: Router, storage: Storage);
    ngOnInit(): void;
    reset(): void;
    resetForm(): FormGroup;
    emailAlert(): void;
    save(): void;
    getPractitionerEmail(): void;
}
